- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

# MeshRenderer Class Reference

This reference page is linked to from the following overview topics: Scene Graph, Rendering, Geometry Processing, Mesh and Topology, Writing Plug-ins.

Search for all occurrences

## Detailed Description

This is the base class for a renderer implementation, which transforms a mesh into the opengl pipeline.

Every mesh has one or more renderers associated, which are responsible to render the mesh, or in other words, send the mesh data (vertex positions, texture coordinates, normals etc...) to opengl. These renderers are child objects of the mesh (since both the mesh and the renderer objects are inherited from TreeNode) They are used in different circumstances, for example mudbox uses one renderer for plain rendering, and another one for wireframe rendering. These renderer object can hold cached buffers in memory, to be able to render the mesh as fast as possible. The reason why mudbox keeps multiple renderers and not uses a single one to render the mesh in different modes is that this way the renderers can hold precalculated data in buffers. A naiv implementation of this interface would go through all the faces in the mesh, and pump the mesh data with immediate opengl calls to the hardware, but of course this solution would be slow for most of the objects.

Examples:

  ImmediateModeRenderer/ImmediateModeRenderer.h.

Definition at line 29 of file renderer.h.

`#include <renderer.h>`

Inheritance diagram for MeshRenderer:
[legend]

List of all members.

The documentation for this class was generated from the following file:

- Mudbox/renderer.h

MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer
MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer MeshRenderer